HPL_barrier(3)

NAME
HPL_barrier - Barrier operation.

SYNOPSIS
#include "hpl.h"

int HPL_barrier( MPI_Comm COMM );

DESCRIPTION
HPL_barrier blocks the caller until all process members have call it. The call returns at any process only after all group members have entered the call.

ARGUMENTS

COMM    (global/local input)    MPI_Comm
    The MPI communicator identifying the process collection.

SEE ALSO
HPL_broadcast (3), HPL_reduce (3), HPL_all_reduce (3), HPL_min (3), HPL_max (3), HPL_sum (3).